Name:         kflickr
Version:      0.9.1
Release:      alt1.2
Summary:      KFlickr is a standalone KDE application that allows for easy upload of your favourite photos to your Flickr.com account.
License:      GPL
Group:        Graphics
URL:          http://kflickr.sourceforge.net
Packager:     Ilya Mashkin <oddity at altlinux.ru>
Source0:      %name-%version.tar.bz2
Source1:      %name.desktop

# Automatically added by buildreq on Thu Oct 13 2005
BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 kde-settings kdelibs-devel kdepim-devel kdepim-libs libarts-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel qt3-designer xml-utils xorg-x11-devel zlib-devel

%description
KFlickr is a standalone KDE application that allows for easy upload of your favourite photos to your Flickr.com account. KFlickr provides the following features:

* drag and drop from other applications (such as Konqueror and DigiKam)
* easy editing of your photo properties (title, description, privacy, tags)
* access to your Flickr.com list of tags
* support for more than one user
* image preview
* support for the new Flickr.com authentication

			

%prep
%setup
#%__subst "s/\.la\"/\.so\"/g" configure
#%__subst "s/\.la\"/\.so\"/g" admin/acinclude.m4.in 
#%__subst "s/\.la\"/\.so\"/g" aclocal.m4


%build
%configure --disable-rpath 
%make

%install
%makeinstall
%find_lang %name
%__rm -rf %buildroot%_datadir/applnk
%__mkdir -p %buildroot%_datadir/applications
%__install -m644 %SOURCE1 %buildroot%_datadir/applications/%name.desktop

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang 
%doc AUTHORS COPYING ChangeLog README NEWS TODO
%_bindir/%name
%_datadir/applications/*.desktop
%_datadir/applications/kde/*.desktop
%_iconsdir/*/*/*/%name.png
%_datadir/apps/%name
%_datadir/apps/kflickrpart/kflickrpart.rc
%_datadir/apps/konqueror/servicemenus/kflickr_servicemenu.desktop
%_datadir/services/kflickrpart.desktop
%_datadir/doc/HTML/en/%name
%_man1dir/%name.1.gz
%_libdir/kde3/*.so

%changelog
* Sat Mar 01 2008 Ilya Mashkin <oddity@altlinux.ru> 0.9.1-alt1.2
- rebuild for x86_64

* Fri Feb 29 2008 Ilya Mashkin <oddity@altlinux.ru> 0.9.1-alt1.1
- rebuild

* Mon Feb 25 2008 Ilya Mashkin <oddity@altlinux.ru> 0.9.1-alt1
- 0.9.1
- add missed files

* Wed Jan 11 2006 Eugene Suchkov <cityhawk@altlinux.ru> 0.5-alt1
- New version build for sisyphus
- Menu bugfix

* Thu Dec 01 2005 Eugene Suchkov <cityhawk@altlinux.ru> 0.4-alt1
New version build for sisyphus

* Thu Oct 13 2005 Eugene Suchkov <cityhawk@altlinux.ru> 0.3-alt1
Inital build for sisyphus

